Bug 757733 - When I record, xnee closes completely.
Summary: When I record, xnee closes completely.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Xnee
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthieu Saulnier
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-28 14:44 UTC by DiEOrLivE
Modified: 2012-01-05 20:34 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-12-12 21:55:12 UTC


Attachments (Terms of Use)
$ gnee (18.44 KB, application/octet-stream)
2011-12-02 02:26 UTC, DiEOrLivE
no flags Details
Terminal output. (2.19 KB, application/octet-stream)
2011-12-03 16:38 UTC, DiEOrLivE
no flags Details

Description DiEOrLivE 2011-11-28 14:44:16 UTC
Description of problem: When I record, xnee closes completely.


Version-Release number of selected component (if applicable): Xnee-3.10.90-1.1.fc16.x86_64


How reproducible: Record..


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Matthieu Saulnier 2011-11-28 16:21:15 UTC
Did you try to run gnee in a terminal ? And what is the output ?

Comment 2 Henrik Sandklef 2011-11-29 14:15:42 UTC
New release (incl fixes) of GNU Xnee:
  http://alpha.gnu.org/gnu/xnee/xnee-3.10.91.tar.gz


/hesa

Comment 3 Fedora Update System 2011-12-01 18:06:25 UTC
Xnee-3.10.91-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/Xnee-3.10.91-1.fc16

Comment 4 Fedora Update System 2011-12-01 18:08:06 UTC
Xnee-3.10.91-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/Xnee-3.10.91-1.fc15

Comment 5 Fedora Update System 2011-12-01 18:09:28 UTC
Xnee-3.10.91-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/Xnee-3.10.91-1.el6

Comment 6 Fedora Update System 2011-12-02 00:02:32 UTC
Xnee-3.10.91-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 7 DiEOrLivE 2011-12-02 02:25:10 UTC
Same problem, when I record xnee closes completely.

Xnee-3.10.90-1.1.fc16.x86_64

Comment 8 DiEOrLivE 2011-12-02 02:26:20 UTC
Created attachment 539481 [details]
$ gnee

Terminal output.

Comment 9 Henrik Sandklef 2011-12-02 10:09:10 UTC
DiEOrLivE:

 The last attachement (2011-12-01 21:26:20 EST) seem to belong to Xnee 3.10.90 (btw, I really should add a printout of the version number in the log file). You're also saying (2011-12-01 21:25:10 EST) that you test 3.10.90.

 I think that 3.10.91 is fixing the bug. Can you test that version?

Thanks for all your work :)

Comment 10 DiEOrLivE 2011-12-03 16:38:32 UTC
Created attachment 540082 [details]
Terminal output.

Sorry... Same problem with Xnee-3.10.91-1.fc16.x86_64

Comment 11 Henrik Sandklef 2011-12-09 15:47:54 UTC
Trying to find the problem.

What X are you running?
Fedora version?

Comment 12 DiEOrLivE 2011-12-09 17:48:45 UTC
Fedora release 16 (Verne)

3.1.2-1.fc16.x86_64

xorg-x11-server-Xorg-1.11.2-3.fc16.x86_64

OpenGL renderer string: Gallium 0.4 on AMD JUNIPER
OpenGL version string: 2.1 Mesa 7.11.2

Comment 13 Henrik Sandklef 2011-12-11 10:10:53 UTC
It is working (cnee and gnee) here. I am also on Fedora 16 and same X. Odd...

X info:
  version number:    11.0
  vendor string:    Fedora Project
  vendor release number:    11102000

  xorg-x11-server-Xorg-1.11.2-3.fc16.x86_64

Xnee version:
  CVS Head
  xnee-3.10.91

Fedora:
  Fedora release 16 (Verne)
  

Can you describe how you tested Xnee? Here's what I did 

cnee 
==========================================

cnee recording:
------------------------------------------
  cnee --record --mouse -o hesa.xns -sk q

cnee replaying:
------------------------------------------
  cnee --replay -f hesa.xns  -fcr

  (the last option is to force replaying 
   with core events only)


gnee
==========================================

gnee recording:
------------------------------------------
   in the "Record settings" tab, choose "KeyPress, KeyRelease, ButtonPredd, ButtonRelease, MotionNotify" 
   click record

gnee replay
------------------------------------------
   click replay

gnee replay with (cnee recorded) file:
------------------------------------------
   in the "Replay settings" tab, choose file hesa.xns
   click replay

Comment 14 Henrik Sandklef 2011-12-11 21:40:05 UTC
Works on Fedora, 15 and 16.

DiEOrLivE: could it be that you record nothing (i e you do not choose any events from the "Record settings")? If so, Xnee records nothing for quite a while :(


I will start working on a patch for this straight away.

Comment 15 Henrik Sandklef 2011-12-11 23:38:27 UTC
If that's the problem, then this will solve it:

   ftp://ftp.gnu.org/gnu/xnee/xnee-3.10.92.tar.gz

Comment 16 Henrik Sandklef 2011-12-12 09:57:00 UTC
Uerh.... use this instead:

   ftp://alpha.gnu.org/gnu/xnee/xnee-3.10.93.tar.gz

Comment 17 Matthieu Saulnier 2011-12-12 11:41:05 UTC
Hello,
3.10.91 version works, so I've pushed it in stable repository.
I've built 3.10.93 version and it will be soon pushed in testing repository.

Comment 18 Fedora Update System 2011-12-12 12:27:33 UTC
Xnee-3.10.93-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/Xnee-3.10.93-1.el6

Comment 19 DiEOrLivE 2011-12-12 21:15:06 UTC
Works perfectly, thanks! Xnee-3.10.93-1.fc16.x86_64

Comment 20 Fedora Update System 2011-12-12 21:55:12 UTC
Xnee-3.10.91-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 21 Fedora Update System 2011-12-12 22:04:59 UTC
Xnee-3.10.91-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 22 Fedora Update System 2011-12-20 13:53:04 UTC
Xnee-3.11-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/Xnee-3.11-1.el6

Comment 23 Fedora Update System 2012-01-05 20:34:52 UTC
Xnee-3.11-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.